Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.impl
Class NoopProgressDisplay

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.impl.NoopProgressDisplay

All Implemented Interfaces:
  TaskProgressDisplay

    public class NoopProgressDisplay

extends Object
implements TaskProgressDisplay

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 13, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`NoopProgressDisplay()`

Method Summary
`void` | `end(Task task)` Stops (hides) the progress display.
`void` | `run(Task task)` Runs the task and starts the display of progress to the user.
`void` | `setMessage(Task task, String message)` Sets the message that will be displayed to the user.
`void` | `setProgress(Task task, int progress)` Updates the value of the progress that is displayed to the user.
`void` | `setProgressIndeterminate(Task task, boolean b)` Sets the progress display to indicate that the progress cannot be determined, but the task is proceding as normal.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoopProgressDisplay

    public NoopProgressDisplay()

Method Detail

### run

    public void run(Task task)
             throws Exception

  Description copied from interface: `TaskProgressDisplay`
  Runs the task and starts the display of progress to the user.

  Specified by:
    `run` in interface `TaskProgressDisplay`
  Parameters:
    `task` - The `Task` that will be run and whose progress will be monitored and displayed.
  Throws:
    `Exception`

### setProgress

    public void setProgress(Task task,
                            int progress)

  Description copied from interface: `TaskProgressDisplay`
  Updates the value of the progress that is displayed to the user.

  Specified by:
    `setProgress` in interface `TaskProgressDisplay`
  Parameters:
    `task` - The task which the progress relates to
    `progress` - The progress that will be between the min and max progress for the `Task`

### setProgressIndeterminate

    public void setProgressIndeterminate(Task task,
                                         boolean b)

  Description copied from interface: `TaskProgressDisplay`
  Sets the progress display to indicate that the progress cannot be determined, but the task is proceding as normal.

  Specified by:
    `setProgressIndeterminate` in interface `TaskProgressDisplay`
    `b` - `true` if the progress is indeterminate, or `false` if the progress is not indeterminate.

### setMessage

    public void setMessage(Task task,
                           String message)

  Description copied from interface: `TaskProgressDisplay`
  Sets the message that will be displayed to the user.

  Specified by:
    `setMessage` in interface `TaskProgressDisplay`

### end

    public void end(Task task)

  Description copied from interface: `TaskProgressDisplay`
  Stops (hides) the progress display. This methods is generally called when the task is complete.

  Specified by:
    `end` in interface `TaskProgressDisplay`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.